YepAPI
Backlinks

Backlinks List

Get individual backlinks pointing to any domain, subdomain, or URL.

POST/v1/seo/backlinks/list
from $0.04/call

Usage

const res = await fetch('https://api.yepapi.com/v1/seo/backlinks/list', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({ target: 'vercel.com', limit: 100 }),
});
const { data } = await res.json();
console.log(data);
curl -X POST https://api.yepapi.com/v1/seo/backlinks/list \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"target": "vercel.com", "limit": 100}'

Request Body

ParameterTypeRequiredDescriptionDefault
targetstringYesDomain, subdomain, or URL to get backlinks for
limitnumberNoMaximum number of backlinks to return100

Response

{
  "ok": true,
  "data": {
    "target": "vercel.com",
    "backlinks": [
      {
        "anchor": "Vercel",
        "dofollow": true,
        "domainAuthority": 532.0,
        "firstSeen": "2025-07-01",
        "from": "https://ui.shadcn.com/",
        "fromDomain": "ui.shadcn.com",
        "lastSeen": "2026-03-15",
        "spamScore": 0.0,
        "status": "active",
        "to": "https://vercel.com/new?utm_source=shadcn_site&utm_medium=web&utm_campaign=docs_cta_deploy_now_callout"
      },
      {
        "anchor": "Official site",
        "dofollow": true,
        "domainAuthority": 389.0,
        "firstSeen": "2025-12-05",
        "from": "https://dedoo.xyz/",
        "fromDomain": "dedoo.xyz",
        "lastSeen": "2026-02-19",
        "spamScore": 0.0,
        "status": "active",
        "to": "https://lebowskis.vercel.com/"
      }
    ]
  }
}

Response Fields

FieldTypeDescription
okbooleanWhether the request succeeded
data.targetstringThe target domain that was analyzed
data.backlinksarrayList of individual backlinks pointing to the target
data.backlinks[].anchorstringThe anchor text used in the backlink
data.backlinks[].dofollowbooleanWhether the link passes link equity (dofollow)
data.backlinks[].domainAuthoritynumberAuthority score of the referring domain
data.backlinks[].firstSeenstringDate the backlink was first discovered
data.backlinks[].fromstringFull URL of the page containing the backlink
data.backlinks[].fromDomainstringDomain of the page containing the backlink
data.backlinks[].lastSeenstringDate the backlink was last confirmed active
data.backlinks[].spamScorenumberSpam likelihood score of the referring domain (0-100)
data.backlinks[].statusstringCurrent status of the backlink (e.g. "active")
data.backlinks[].tostringFull destination URL the backlink points to
Under the Hood

Queries backlink index in real-time. Results sorted by domain rank.

On this page